# Introduction

## Response Format

The default response format for the API:

```json
{
    "data":[],
    "success":true,
    "error":null,
    "timestamp":1678875798,
    "requestId": "abcd1234"
}
```

| Name      | Type         | Description                                                 |
| --------- | ------------ | ----------------------------------------------------------- |
| response  | object       | Contains the result of the API request if there is no error |
| success   | bool         | Whether the request has been successful                     |
| error     | Error Object | contains error object, if any errors                        |
| timestamp | long         | response time in unix time milliseconds                     |
| requestId | string       | reference id related to the current request                 |

Data returned from a specific endpoint will be contained in the response object.

## Error Format

The error object will contain details of the error recorded with error id for the reference.

```
{
      "isError":true,
      "errorId":"3d9fc90d-30c2-4f63-bd40-c0a18c3ab4df",
      "shortErrorMessage":"Error134",
      "message":"Invalid Payload."
   }
```

| Name              | Type   | Description                              |
| ----------------- | ------ | ---------------------------------------- |
| errorId           | string | recorded error id for reference          |
| isError           | bool   | true, if reported error                  |
| shortErrorMessage | string | Error code referencing the type of error |
| message           | string | detail description of the error reported |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aio.exchange/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
